package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgType;

import java.util.List;

/**
 * WtgTypeService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IWtgTypeService {
    /**
     * 查询WtgType
     *
     * @param typeNo WtgTypeID
     * @return WtgType
     */
    public WtgType selectWtgTypeById(Long typeNo);

    /**
     * 查询WtgType列表
     *
     * @param wtgType WtgType
     * @return WtgType集合
     */
    public List<WtgType> selectWtgTypeList(WtgType wtgType);

    /**
     * 新增WtgType
     *
     * @param wtgType WtgType
     * @return 结果
     */
    public int insertWtgType(WtgType wtgType);

    /**
     * 修改WtgType
     *
     * @param wtgType WtgType
     * @return 结果
     */
    public int updateWtgType(WtgType wtgType);

    /**
     * 删除WtgType信息
     *
     * @param typeNo WtgTypeID
     * @return 结果
     */
    public int deleteWtgTypeById(Long typeNo);

    /**
     * 批量删除WtgType
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWtgTypeByIds(String ids);

    Long selectNewData();

    int insertWtgTypeList(List<WtgType> wtgTypeList);

    String checkTypeNoUnique(Long typeNo);

    WtgType selectWtgTypeByTypeName(String fanType);
}
